Summary: Quick DataBase Manager
Name: qdbm

%global momorel 1
Version: 1.8.12
Release: %{momorel}m
Group: System Environment/Libraries
License: GPL
URL: http://qdbm.sourceforge.net/

%NoSource 0 http://qdbm.sourceforge.net/%{name}-%{version}.tar.gz 2824c5fd7470c520b9589d9e33fb012e

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: glibc-devel, gcc-c++

%description
QDBM is an embeded database library compatible with GDBM and NDBM.
It features hash database and B+ tree database and is developed referring
to GDBM for the purpose of the following three points: higher processing
speed, smaller size of a database file, and simpler API.

%package devel
Summary: Quick DataBase Manager
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: glibc-devel

%description devel
QDBM is an embeded database library compatible with GDBM and NDBM.
It features hash database and B+ tree database and is developed referring
to GDBM for the purpose of the following three points: higher processing
speed, smaller size of a database file, and simpler API.

%package c++-devel
Summary: Quick DataBase Manager
Group: Development/Libraries
Requires: %{name}-devel = %{version}-%{release}
Requires: libstdc++-devel

%description c++-devel
QDBM is an embeded database library compatible with GDBM and NDBM.
It features hash database and B+ tree database and is developed referring
to GDBM for the purpose of the following three points: higher processing
speed, smaller size of a database file, and simpler API.

%package -n ruby-%{name}
Summary: Quick DataBase Manager
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description -n ruby-%{name}
QDBM is an embeded database library compatible with GDBM and NDBM.
It features hash database and B+ tree database and is developed referring
to GDBM for the purpose of the following three points: higher processing
speed, smaller size of a database file, and simpler API.

%global ruby_libdir %(ruby -rrbconfig -e 'puts Config::CONFIG["rubylibdir"]')
%global ruby_archdir %(ruby -rrbconfig -e 'puts Config::CONFIG["archdir"]')

%prep
%setup -q

%build
%configure --enable-devel --enable-pthread --enable-zlib --enable-iconv
%make
(
  cd plus
  %configure --enable-devel
  %make all
)
(
  cd ruby
  %configure
  %make
)

%install
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}
%__make install DESTDIR=%{buildroot}
(
  cd plus
  %__make install DESTDIR=%{buildroot}
)
(
  cd ruby
  %__make install \
    DESTDIR=%{buildroot} \
    sitelibdir=%{buildroot}%{ruby_libdir} \
    sitearchdir=%{buildroot}%{ruby_archdir} \
    MYBINDIR=%{_bindir} \
    MYDATADIR=%{_datadir}/qdbm/ruby
)

# remove needless files
rm -rf %{buildroot}%{_datadir}/qdbm

%clean
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)
%doc COPYING ChangeLog NEWS README THANKS spex*.html
%{_bindir}/cb*
%{_bindir}/cr*
%{_bindir}/dp*
%{_bindir}/hv*
%{_bindir}/od*
%{_bindir}/rl*
%{_bindir}/vl*
%{_bindir}/x*
%{_libdir}/libqdbm.so.*

%files devel
%defattr(-, root, root)
%{_includedir}/cabin.h
%{_includedir}/curia.h
%{_includedir}/depot.h
%{_includedir}/hovel.h
%{_includedir}/odeum.h
%{_includedir}/relic.h
%{_includedir}/villa.h
%{_includedir}/vista.h
%{_libdir}/libqdbm.a
%{_libdir}/libqdbm.so
%{_mandir}/man3/*

%files c++-devel
%defattr(-, root, root)
%doc plus/xspex*.html plus/xapidoc
%{_includedir}/xqdbm.h
%{_includedir}/xadbm.h
%{_includedir}/xdepot.h
%{_includedir}/xcuria.h
%{_includedir}/xvilla.h
%{_libdir}/libxqdbm.a

%files -n ruby-%{name}
%defattr(-, root, root)
%doc ruby/rbspex*.html ruby/rbapidoc
%{_bindir}/rb*
%{ruby_libdir}/*.rb
%{ruby_archdir}/*.so

%changelog
* Sun May 30 2004 Kazuhiko <kazuhiko@fdiary.net>
- (1.8.12-1m)
- minor feature enhancements

* Fri May 14 2004 Kazuhiko <kazuhiko@fdiary.net>
- (1.8.11-1m)
- minor feature enhancements

* Sun Apr 25 2004 Kazuhiko <kazuhiko@fdiary.net>
- (1.8.10-1m)
- utility for performance test was enhanced
- logger for debugging is now featured

* Thu Apr 15 2004 Kazuhiko <kazuhiko@fdiary.net>
- (1.8.8-1m)
- add '--enable-pthread --enable-zlib --enable-iconv' to configure option
- processing speed was improved to over 150%
- the basic API and the extended API were enhanced

* Wed Mar 31 2004 Kazuhiko <kazuhiko@fdiary.net>
- (1.8.7-1m)
- the configuration of C++ api escaped from a bug of pthread
- the extended api was enhanced
- bugs in the utility api about memory management were fixed

* Tue Mar 16 2004 Kazuhiko <kazuhiko@fdiary.net>
- (1.8.5-1m)
- minor feature enhancements

* Fri Mar 12 2004 Kazuhiko <kazuhiko@fdiary.net>
- (1.8.4-1m)
- minor feature enhancements

* Sun Feb 22 2004 Kazuhiko <kazuhiko@fdiary.net>
- (1.8.0-1m)
- minor feature enhancements

* Wed Feb 18 2004 Kazuhiko <kazuhiko@fdiary.net>
- (1.7.34-1m)

* Sun Feb  1 2004 Kazuhiko <kazuhiko@fdiary.net>
- (1.7.33-1m)
- minor feature enhancements

* Sun Feb  1 2004 Kazuhiko <kazuhiko@fdiary.net>
- (1.7.32-2m)
- specfile cleanup

* Wed Jan 28 2004 Kenta MURATA <muraken2@nifty.com>
- (1.7.32-1m)
- version up.
- append ruby package.

* Sat Sep 20 2003 Kenta MURATA <muraken2@nifty.com>
- (1.6.17-1m)
- version up.
- remove doxygen from BuildRequires.

* Mon Aug 04 2003 Kenta MURATA <muraken2@nifty.com>
- (1.6.11-1m)
- first specfile.
